CatalogSize Guides
Create size guide
Creates a size guide. It only becomes visible on a product page once it is assigned.
POST
/v1/catalog/size-guidesCreates a size guide. It only becomes visible on a product page once it is assigned.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Header Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/v1/catalog/size-guides" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "assignments": [ { "targetType": "product", "targetId": "7204558912004325301", "includeChildrenCategories": false, "priority": 1 } ], "name": "Example resource", "slug": "example-resource", "description": "Example description.", "imageUrl": "https://example.com/resource", "gender": "unisex", "measurementType": "body", "unit": "cm" }'{ "id": "7204558912004325301"}